@import "../../vars.scss";

.banner {
    display: flex;
    overflow: hidden;
    border-radius: 10px;
    background-color: #fff;
    justify-content: space-between;
    img {
        object-fit: cover;
    }
}

.info {
    padding: 60px 20px 60px 63px;
    * {
        color: $darkFont;
    }
    .address {
        color: #464b56;
        font-size: 14px;
        line-height: 17.85px;
    }
    .title {
        margin-top: 10px;
        font-size: 32px;
        line-height: 37.47px;
        span {
            font-family: "Roboto Serif";
        }
    }
    .text {
        font-weight: 400;
        font-size: 18px;
        margin-top: 20px;
        line-height: 22.95px;
        text-align: left;
    }
    .btn {
        margin-top: 20px;
        color: $colorMain;
        padding: 14px 70px;
        display: inline-block;
        background-color: #00acc8;
        transition: all 0.25s ease-in-out;
    }
    .btn:hover {
        background-color: #019ab2;
    }

    .btn:active {
        background-color: #018499;
    }

    .btn:disabled {
        background-color: #dddddd;
    }
}

@media (max-width: 850px) {
    .banner img {
        display: none;
    }
}

@media (max-width: 650px) {
    .info {
        padding: 34px 20px;
    }
    .banner img {
        display: none;
    }

    .info .address {
        font-size: 12px;
    }

    .info .title {
        line-height: 26.77px;
        font-size: 21px;
    }

    .info .text {
        line-height: 17.85px;
        font-size: 16px;
    }

    .info .text {
        margin: 0;
        margin-top: 18px;
    }

    .info .btn {
        max-width: 305px;
        display: block;
        margin-left: auto;
        margin-right: auto;
    }
}

@media (max-width: 460px) {
    .info {
        .text {
            max-width: none;
            font-size: 14px;
            line-height: 17.85px;
        }
    }
}

@media (hover: none) {
    .linkMoreWrapper:hover,
    .btnLigth:hover,
    .btnDark:hover {
        pointer-events: none;
    }
}
